<?xml version="1.0" encoding="ISO-8859-1"?>
<!-- Copyright (c) 2015-2022, Qualcomm Innovation Center, Inc.All rights reserved -->
<!--                                                                             -->
<!--  Redistribution and use in source and binary forms, with or without         -->
<!--  modification, are permitted provided that the following conditions are     -->
<!--  met:                                                                       -->
<!--      * Redistributions of source code must retain the above copyright       -->
<!--        notice, this list of conditions and the following disclaimer.        -->
<!--      * Redistributions in binary form must reproduce the above              -->
<!--        copyright notice, this list of conditions and the following          -->
<!--        disclaimer in the documentation and/or other materials provided      -->
<!--        with the distribution.                                               -->
<!--      * Neither the name of The Linux Foundation nor the names of its        -->
<!--        contributors may be used to endorse or promote products derived      -->
<!--        from this software without specific prior written permission.        -->
<!--                                                                             -->
<!--  NO EXPRESS OR IMPLIED LICENSES TO ANY PARTY'S PATENT RIGHTS ARE GRANTED    -->
<!--  BY THIS LICENSE. THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND    -->
<!--  CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING,     -->
<!--  BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND          -->
<!--  FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE     -->
<!--  COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,       -->
<!--  INCIDENTAL, SPECIAL, EXEMPLARY,OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT    -->
<!--  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF,      -->
<!--  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON     -->
<!--  ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT    -->
<!--  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE      -->
<!--  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.ANY    -->
<!--  DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL         -->
<!--  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS    -->
<!--  OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)      -->
<!--  HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,        -->
<!--  STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING      -->
<!--  IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISEDOF THE          -->
<!--  POSSIBILITY OF SUCH DAMAGE.                                                -->
<mixer>
    <!-- These are the initial mixer settings -->
    <ctl name="WSA_AIF_VI Mixer WSA_SPKR_VI_1" value="0" />
    <ctl name="WSA_AIF_VI Mixer WSA_SPKR_VI_2" value="0" />

    <!-- WSA controls -->
    <ctl name="WSA RX0 MUX" value="ZERO" />
    <ctl name="WSA RX1 MUX" value="ZERO" />
    <ctl name="WSA_RX0 INP0" value="ZERO" />
    <ctl name="WSA_RX1 INP0" value="ZERO" />
    <ctl name="WSA_AIF_VI Mixer WSA_SPKR_VI_1" value="0" />
    <ctl name="WSA_AIF_VI Mixer WSA_SPKR_VI_2" value="0" />
    <ctl name="SpkrLeft COMP Switch" value="0" />
    <ctl name="SpkrRight COMP Switch" value="0" />
    <ctl name="SpkrLeft VISENSE Switch" value="0" />
    <ctl name="SpkrRight VISENSE Switch" value="0" />
    <ctl name="SpkrLeft SWR DAC_Port Switch" value="0" />
    <ctl name="SpkrRight SWR DAC_Port Switch" value="0" />

    <!-- RX Controls -->
    <ctl name="RX_MACRO RX0 MUX" value="ZERO" />
    <ctl name="RX_MACRO RX1 MUX" value="ZERO" />
    <ctl name="RX INT0_1 MIX1 INP0" value="ZERO" />
    <ctl name="RX INT0_1 MIX1 INP1" value="ZERO" />
    <ctl name="RX INT0_1 MIX1 INP2" value="ZERO" />
    <ctl name="RX INT1_1 MIX1 INP0" value="ZERO" />
    <ctl name="RX INT1_1 MIX1 INP1" value="ZERO" />
    <ctl name="RX INT1_1 MIX1 INP2" value="ZERO" />
    <ctl name="RX INT0 DEM MUX" value="NORMAL_DSM_OUT" />
    <ctl name="RX INT1 DEM MUX" value="NORMAL_DSM_OUT" />
    <ctl name="RX_COMP1 Switch" value="0" />
    <ctl name="RX_COMP2 Switch" value="0" />
    <ctl name="HPHL_COMP Switch" value="0" />
    <ctl name="HPHR_COMP Switch" value="0" />
    <ctl name="EAR_RDAC Switch" value="0" />
    <ctl name="HPHL_RDAC Switch" value="0" />
    <ctl name="HPHR_RDAC Switch" value="0" />
    <ctl name="AUX_RDAC Switch" value="0" />
    <ctl name="RX_FIR Filter" value="OFF" />
    <ctl name="RX_EAR Mode" value="OFF" />

    <!-- TX Controls -->
    <ctl name="VA_AIF1_CAP Mixer DEC0" value="0" />
    <ctl name="VA_AIF1_CAP Mixer DEC1" value="0" />
    <ctl name="VA_AIF1_CAP Mixer DEC2" value="0" />
    <ctl name="VA_AIF1_CAP Mixer DEC3" value="0" />
    <ctl name="VA DEC0 MUX" value="SWR_MIC" />
    <ctl name="VA DEC1 MUX" value="SWR_MIC" />
    <ctl name="VA DEC2 MUX" value="SWR_MIC" />
    <ctl name="VA DEC3 MUX" value="SWR_MIC" />
    <ctl name="VA DMIC MUX0" value="ZERO" />
    <ctl name="VA DMIC MUX1" value="ZERO" />
    <ctl name="VA DMIC MUX2" value="ZERO" />
    <ctl name="VA DMIC MUX3" value="ZERO" />
    <ctl name="VA SMIC MUX0" value="ZERO" />
    <ctl name="VA SMIC MUX1" value="ZERO" />
    <ctl name="VA SMIC MUX2" value="ZERO" />
    <ctl name="VA SMIC MUX3" value="ZERO" />
    <ctl name="VA_DEC0 MODE" value="ADC_DEFAULT" />
    <ctl name="ADC2_BCS Disable" value="0" />
    <ctl name="LPI Enable" value="0" />
    <ctl name="ADC1_MIXER Switch" value="0" />
    <ctl name="ADC2_MIXER Switch" value="0" />
    <ctl name="ADC3_MIXER Switch" value="0" />
    <ctl name="ADC4_MIXER Switch" value="0" />
    <ctl name="ADC2 MUX" value="INP2" />
    <ctl name="DEC0_BCS Switch" value="0" />
    <ctl name="ADC2_BCS Disable" value="0" />
    <ctl name="ADC3 MUX" value="INP4" />
    <ctl name="ADC4 MUX" value="INP5" />
    <ctl name="VA_AMIC1_MIXER Switch" value="0" />
    <ctl name="VA_AMIC2_MIXER Switch" value="0" />
    <ctl name="VA_AMIC3_MIXER Switch" value="0" />
    <ctl name="VA_AMIC4_MIXER Switch" value="0" />
    <ctl name="VA_AMIC5_MIXER Switch" value="0" />
    <ctl name="AMIC1_MIXER Switch" value="0" />
    <ctl name="AMIC2_MIXER Switch" value="0" />
    <ctl name="AMIC3_MIXER Switch" value="0" />
    <ctl name="AMIC4_MIXER Switch" value="0" />
    <ctl name="AMIC5_MIXER Switch" value="0" />

    <ctl name="TX_AIF1_CAP Mixer DEC0" value="0" />
    <ctl name="TX_AIF1_CAP Mixer DEC1" value="0" />
    <ctl name="TX_AIF1_CAP Mixer DEC2" value="0" />
    <ctl name="TX_AIF1_CAP Mixer DEC3" value="0" />
    <ctl name="TX_AIF1_CAP Mixer DEC4" value="0" />
    <ctl name="TX_AIF1_CAP Mixer DEC5" value="0" />
    <ctl name="TX_AIF1_CAP Mixer DEC6" value="0" />
    <ctl name="TX_AIF1_CAP Mixer DEC7" value="0" />
    <ctl name="TX_AIF2_CAP Mixer DEC0" value="0" />
    <ctl name="TX_AIF2_CAP Mixer DEC1" value="0" />
    <ctl name="TX_AIF2_CAP Mixer DEC2" value="0" />
    <ctl name="TX_AIF2_CAP Mixer DEC3" value="0" />
    <ctl name="TX_AIF2_CAP Mixer DEC4" value="0" />
    <ctl name="TX_AIF2_CAP Mixer DEC5" value="0" />
    <ctl name="TX_AIF2_CAP Mixer DEC6" value="0" />
    <ctl name="TX_AIF2_CAP Mixer DEC7" value="0" />
    <ctl name="TX DEC0 MUX" value="MSM_DMIC" />
    <ctl name="TX DMIC MUX0" value="ZERO" />
    <ctl name="TX SMIC MUX0" value="ZERO" />
    <ctl name="TX DEC1 MUX" value="MSM_DMIC" />
    <ctl name="TX DMIC MUX1" value="ZERO" />
    <ctl name="TX SMIC MUX1" value="ZERO" />
    <ctl name="TX DEC2 MUX" value="MSM_DMIC" />
    <ctl name="TX DMIC MUX2" value="ZERO" />
    <ctl name="TX SMIC MUX2" value="ZERO" />
    <ctl name="TX DEC3 MUX" value="MSM_DMIC" />
    <ctl name="TX DMIC MUX3" value="ZERO" />
    <ctl name="TX SMIC MUX3" value="ZERO" />
    <ctl name="TX DEC4 MUX" value="MSM_DMIC" />
    <ctl name="TX DMIC MUX4" value="ZERO" />
    <ctl name="TX SMIC MUX4" value="ZERO" />
    <ctl name="TX DEC5 MUX" value="MSM_DMIC" />
    <ctl name="TX DMIC MUX5" value="ZERO" />
    <ctl name="TX SMIC MUX5" value="ZERO" />
    <ctl name="TX DEC6 MUX" value="MSM_DMIC" />
    <ctl name="TX DMIC MUX6" value="ZERO" />
    <ctl name="TX SMIC MUX6" value="ZERO" />
    <ctl name="TX DEC7 MUX" value="MSM_DMIC" />
    <ctl name="TX DMIC MUX7" value="ZERO" />
    <ctl name="TX SMIC MUX7" value="ZERO" />

    <!-- Volume controls -->
    <ctl name="WSA_RX0 Digital Volume" value="78" />
    <ctl name="WSA_RX1 Digital Volume" value="84" />
    <ctl name="RX_RX0 Digital Volume" value="84" />
    <ctl name="RX_RX1 Digital Volume" value="84" />
    <ctl name="RX_RX2 Digital Volume" value="84" />
    <ctl name="HPHL Volume" value="20" />
    <ctl name="HPHR Volume" value="20" />

    <ctl name="TX_DEC0 Volume" value="84" />
    <ctl name="TX_DEC1 Volume" value="84" />
    <ctl name="TX_DEC2 Volume" value="84" />
    <ctl name="TX_DEC3 Volume" value="84" />
    <ctl name="TX_DEC4 Volume" value="84" />
    <ctl name="TX_DEC5 Volume" value="84" />
    <ctl name="TX_DEC6 Volume" value="84" />
    <ctl name="TX_DEC7 Volume" value="84" />

    <ctl name="ADC1 Volume" value="12" />
    <ctl name="ADC2 Volume" value="12" />
    <ctl name="ADC3 Volume" value="12" />
    <ctl name="ADC4 Volume" value="12" />

    <ctl name="VA_DEC0 Volume" value="84" />
    <ctl name="VA_DEC1 Volume" value="84" />
    <ctl name="VA_DEC2 Volume" value="84" />
    <ctl name="VA_DEC3 Volume" value="84" />

    <!-- Compander controls -->
    <ctl name="WSA_COMP1 Switch" value="0" />
    <ctl name="WSA_COMP2 Switch" value="0" />

    <!-- Headphone class-H mode  -->
    <ctl name="RX_HPH_PWR_MODE" value="ULP" />
    <ctl name="RX HPH Mode" value="CLS_H_ULP" />

    <!-- IIR/voice anc -->
    <ctl name="IIR0 Band1" value="00 00 00 10 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00" />
    <ctl name="IIR0 Band2" value="00 00 00 10 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00" />
    <ctl name="IIR0 Band3" value="00 00 00 10 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00" />
    <ctl name="IIR0 Band4" value="00 00 00 10 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00" />
    <ctl name="IIR0 Band5" value="00 00 00 10 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00" />
    <ctl name="IIR0 Enable Band1" value="0" />
    <ctl name="IIR0 Enable Band2" value="0" />
    <ctl name="IIR0 Enable Band3" value="0" />
    <ctl name="IIR0 Enable Band4" value="0" />
    <ctl name="IIR0 Enable Band5" value="0" />
    <ctl name="IIR0 INP0 Volume" value="40" />
    <ctl name="IIR0 INP0 MUX" value="ZERO" />
    <ctl name="IIR0 INP1 MUX" value="ZERO" />
    <ctl name="IIR0 INP2 MUX" value="ZERO" />
    <ctl name="IIR0 INP3 MUX" value="ZERO" />

    <!-- vbat related data -->
    <ctl name="GSM mode Enable" value="OFF" />
    <ctl name="WSA_Softclip0 Enable" value="0" />
    <ctl name="WSA_Softclip1 Enable" value="0" />
    <ctl name="WSA_RX INT0 VBAT WSA RX0 VBAT Enable" value="0" />
    <ctl name="WSA_RX INT1 VBAT WSA RX1 VBAT Enable" value="0" />

    <!-- smartpa pa -->
    <ctl name="TFA Profile" value="speaker" />
    <ctl name="TFA Stop" id="0" value="0" />
    <ctl name="TFA Stop" id="1" value="0" />
    <ctl name="TFA Stop" id="2" value="0" />
    <!-- Codec controls end -->

    <!-- defaults for mmap record -->

    <!-- HIFI Filter coefficients for headphones path -->
    <path name="hifi-filter-coefficients">
        <ctl name="RX0 FIR Coeff Num" value="8" />
        <ctl name="RX0 FIR Coeff Group0" value="08 00 00 00 00 00 00 10 00 00 00 10 00 00 00 10 00 00 00 10 00 00 00 10 00 00 00 10 00 00 00 10 00 00 00 10 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0" />
        <ctl name="RX0 FIR Coeff Group1" value="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0" />
        <ctl name="RX1 FIR Coeff Num" value="8" />
        <ctl name="RX1 FIR Coeff Group0" value="08 00 00 00 00 00 00 10 00 00 00 10 00 00 00 10 00 00 00 10 00 00 00 10 00 00 00 10 00 00 00 10 00 00 00 10 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0" />
        <ctl name="RX1 FIR Coeff Group1" value="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0" />
    </path>

    <!-- These are audio route (FE to BE) specific mixer settings -->
    <path name="gsm-mode">
        <ctl name="GSM mode Enable" value="ON" />
    </path>


    <!-- These are actual sound device specific mixer settings -->
    <path name="amic1">
        <ctl name="TX DEC2 MUX" value="SWR_MIC" />
        <ctl name="TX SMIC MUX2" value="SWR_MIC4" />
        <ctl name="TX_AIF1_CAP Mixer DEC2" value="1" />
        <ctl name="ADC1 ChMap" value="SWRM_TX2_CH1" />
        <ctl name="TX0 MODE" value="ADC_LP" />
        <ctl name="ADC1_MIXER Switch" value="1" />
        <ctl name="AMIC1_MIXER Switch" value="1" />
    </path>

    <path name="amic2">
        <ctl name="TX DEC0 MUX" value="SWR_MIC" />
        <ctl name="TX SMIC MUX0" value="SWR_MIC5" />
        <ctl name="DEC0_BCS Switch" value="1" />
        <ctl name="TX_AIF1_CAP Mixer DEC0" value="1" />
        <ctl name="ADC2 MUX" value="INP2" />
        <ctl name="ADC2 ChMap" value="SWRM_TX2_CH2" />
        <ctl name="MBHC ChMap" value="SWRM_TX1_CH3" />
        <ctl name="TX1 MODE" value="ADC_LP" />
        <ctl name="BCS Channel" value="CH2" />
        <ctl name="HDR12 MUX" value="NO_HDR12" />
        <ctl name="ADC2_MIXER Switch" value="1" />
        <ctl name="AMIC2_MIXER Switch" value="1" />
    </path>


    <path name="amic3">
        <ctl name="TX DEC2 MUX" value="SWR_MIC" />
        <ctl name="TX SMIC MUX2" value="SWR_MIC5" />
        <ctl name="TX_AIF1_CAP Mixer DEC2" value="1" />
        <ctl name="ADC2 ChMap" value="SWRM_TX2_CH2" />
        <ctl name="ADC2 MUX" value="INP3" />
        <ctl name="TX1 MODE" value="ADC_LP" />
        <ctl name="ADC2_BCS Disable" value="1" />
        <ctl name="HDR12 MUX" value="NO_HDR12" />
        <ctl name="ADC2_MIXER Switch" value="1" />
        <ctl name="AMIC3_MIXER Switch" value="1" />
    </path>

    <path name="amic4">
        <ctl name="TX DEC5 MUX" value="SWR_MIC" />
        <ctl name="TX SMIC MUX5" value="SWR_MIC8" />
        <ctl name="TX_AIF1_CAP Mixer DEC5" value="1" />
        <ctl name="ADC3 MUX" value="INP4" />
        <ctl name="TX2 MODE" value="ADC_LP" />
        <ctl name="ADC3 ChMap" value="SWRM_TX3_CH1" />
        <ctl name="HDR34 MUX" value="NO_HDR34" />
        <ctl name="ADC3_MIXER Switch" value="1" />
        <ctl name="AMIC4_MIXER Switch" value="1" />
    </path>

    <path name="amic5">
        <ctl name="TX DEC3 MUX" value="SWR_MIC" />
        <ctl name="TX SMIC MUX3" value="SWR_MIC9" />
        <ctl name="TX_AIF1_CAP Mixer DEC3" value="1" />
        <ctl name="ADC4 ChMap" value="SWRM_TX3_CH2" />
        <ctl name="ADC4 MUX" value="INP5" />
        <ctl name="TX3 MODE" value="ADC_LP" />
        <ctl name="ADC4_MIXER Switch" value="1" />
        <ctl name="AMIC5_MIXER Switch" value="1" />
    </path>

    <path name="amic6">
        <ctl name="TX DEC4 MUX" value="SWR_MIC" />
        <ctl name="TX SMIC MUX4" value="SWR_MIC4" />
        <ctl name="TX_AIF2_CAP Mixer DEC4" value="1" />
        <ctl name="ADC1 ChMap" value="SWRM_TX2_CH1" />
        <ctl name="TX0 MODE" value="ADC_LP" />
        <ctl name="ADC1_MIXER Switch" value="1" />
        <ctl name="AMIC1_MIXER Switch" value="1" />
    </path>

    <path name="dmic1">
        <ctl name="TX_AIF1_CAP Mixer DEC2" value="1" />
        <ctl name="TX DMIC MUX2" value="DMIC0" />
    </path>

    <path name="dmic2">
        <ctl name="TX_AIF1_CAP Mixer DEC2" value="1" />
        <ctl name="TX DMIC MUX2" value="DMIC1" />
    </path>

    <path name="dmic3">
        <ctl name="TX_AIF1_CAP Mixer DEC2" value="1" />
        <ctl name="TX DMIC MUX2" value="DMIC2" />
    </path>

    <path name="dmic4">
        <ctl name="TX_AIF1_CAP Mixer DEC2" value="1" />
        <ctl name="TX DMIC MUX2" value="DMIC3" />
    </path>

    <path name="dmic5">
        <ctl name="TX_AIF1_CAP Mixer DEC2" value="1" />
        <ctl name="TX DMIC MUX2" value="DMIC4" />
    </path>

    <path name="dmic6">
        <ctl name="TX_AIF1_CAP Mixer DEC2" value="1" />
        <ctl name="TX DMIC MUX2" value="DMIC5" />
    </path>

    <path name="dmic7">
        <ctl name="TX_AIF1_CAP Mixer DEC2" value="1" />
        <ctl name="TX DMIC MUX2" value="DMIC6" />
    </path>

    <path name="dmic8">
        <ctl name="TX_AIF1_CAP Mixer DEC2" value="1" />
        <ctl name="TX DMIC MUX2" value="DMIC7" />
    </path>

    <path name="speaker">
        <ctl name="TFA Profile" value="speaker" />
        <ctl name="TFA Stop" id="0" value="0" />
        <ctl name="TFA Stop" id="1" value="0" />
        <ctl name="TFA Stop" id="2" value="1" />
    </path>

    <path name="speaker_lowpower">
        <path name="speaker" />
    </path>

    <path name="haptics-dev">
        <ctl name="SWR DAC_Port Switch" value="1" />
    </path>

    <path name="speaker-mono">
        <ctl name="TFA Profile" value="speaker" />
        <ctl name="TFA Stop" id="0" value="0" />
        <ctl name="TFA Stop" id="1" value="1" />
        <ctl name="TFA Stop" id="2" value="1" />
    </path>

    <path name="speaker-mono-2">
        <ctl name="TFA Profile" value="speaker" />
        <ctl name="TFA Stop" id="0" value="1" />
        <ctl name="TFA Stop" id="1" value="0" />
        <ctl name="TFA Stop" id="2" value="1" />
    </path>

    <path name="speaker-mono-vbat">
       <path name="speaker-mono" />
    </path>

    <path name="speaker-mono-2-vbat">
       <path name="speaker-mono-2" />
    </path>

    <path name="speaker-vbat">
       <path name="speaker" />
    </path>

    <path name="speaker-hdk">
        <path name="speaker-mono" />
    </path>

    <path name="speaker-fluid">
        <path name="speaker-mono" />
    </path>

    <path name="speaker-liquid">
        <path name="speaker" />
    </path>

    <path name="speaker-safe">
        <path name="speaker-mono"/>
    </path>

    <path name="speaker-hdk-vbat">
        <path name="speaker-mono-vbat" />
    </path>

    <path name="speaker-fluid-vbat">
        <path name="speaker-mono-vbat" />
    </path>

    <path name="speaker-liquid-vbat">
        <path name="speaker-vbat" />
    </path>

    <path name="speaker-safe-vbat">
        <path name="speaker-mono-vbat"/>
    </path>

    <path name="sidetone-iir">
        <ctl name="IIR0 Enable Band1" value="1" />
        <ctl name="IIR0 Enable Band2" value="1" />
        <ctl name="IIR0 Enable Band3" value="1" />
        <ctl name="IIR0 Enable Band4" value="1" />
        <ctl name="IIR0 Enable Band5" value="1" />
    </path>

    <path name="sidetone-headphones">
        <path name="sidetone-iir" />
        <ctl name="IIR0 INP0 Volume" value="40" />
        <ctl name="IIR0 INP0 MUX" value="DEC0" />
        <ctl name="RX INT0 MIX2 INP" value="SRC0" />
        <ctl name="RX INT1 MIX2 INP" value="SRC0" />
    </path>

    <path name="sidetone-handset">

    </path>

    <path name="afe-sidetone">
        <ctl name="Voice Sidetone Enable" value="1" />
    </path>

    <path name="play-fm">
    </path>

    <path name="speaker-mic">
        <path name="dmic6" />
        <ctl name="TX_DEC2 Volume" value="96" />
    </path>

    <path name="wakeup-enroll-speaker-mic">
        <path name="dmic8" />
        <ctl name="TX_DEC2 Volume" value="102" />
    </path>

    <path name="speaker-mic-liquid">
        <path name="dmic6" />
        <ctl name="TX_DEC2 Volume" value="96" />
    </path>

    <path name="speaker-mic-sbc">
    </path>

    <path name="speaker-protected">
        <path name="speaker" />
    </path>

    <path name="voice-speaker-protected">
        <path name="speaker-mono" />
    </path>

    <path name="voice-speaker-2-protected">
        <path name="speaker-mono-2" />
    </path>

    <path name="voice-speaker-stereo-protected">
        <path name="speaker-protected" />
    </path>

    <path name="speaker-protected-vbat">
        <path name="speaker-protected" />
    </path>

    <path name="voice-speaker-protected-vbat">
        <path name="voice-speaker-protected" />
    </path>

    <path name="voice-speaker-2-protected-vbat">
        <path name="voice-speaker-2-protected" />
    </path>

    <path name="voice-speaker-stereo-protected-vbat">
        <path name="speaker-protected-vbat" />
    </path>

    <path name="vi-feedback">
    </path>

    <path name="vi-feedback-mono-1">
    </path>

    <path name="vi-feedback-mono-2">
    </path>

    <path name="handset">
        <ctl name="TFA Profile" value="receiver" />
        <ctl name="TFA Stop" id="0" value="1" />
        <ctl name="TFA Stop" id="1" value="0" />
        <ctl name="TFA Stop" id="2" value="1" />
    </path>

    <path name="handset-mic">
        <path name="dmic8" />
    </path>

    <path name="handset-mic-unprocessed">
        <path name="dmic8" />
    </path>

    <path name="ultrasound-handset">
        <!-- not supported -->
    </path>

    <path name="ultrasound-mic">
        <!-- not supported -->
    </path>

    <path name="headphones">
        <!-- not supported -->
    </path>

    <path name="headphones-and-haptics">
        <!-- not supported -->
    </path>

    <path name="headphones-44.1">
        <path name="headphones" />
    </path>

    <path name="headphones-hifi-filter">
        <ctl name="RX_FIR Filter" value="ON" />
        <path name="headphones" />
    </path>

    <path name="hph-highquality-mode">
    </path>

    <path name="hph-lowpower-mode">
    </path>

    <path name="true-native-mode">
    </path>

    <path name="line">
        <path name="headphones" />
    </path>

    <path name="headset-mic">
        <!-- not supported -->
    </path>

    <path name="headset-mic-liquid">
        <!-- not supported -->
    </path>

    <path name="voice-handset">
        <ctl name="TFA Profile" value="receiver" />
        <ctl name="TFA Stop" id="0" value="1" />
        <ctl name="TFA Stop" id="1" value="0" />
        <ctl name="TFA Stop" id="2" value="0" />
    </path>

    <path name="voice-handset-tmus">
        <path name="handset" />
    </path>

    <path name="voice-handset-hac">
        <path name="handset" />
    </path>

    <path name="voice-handset-hdk">
        <path name="handset" />
    </path>

    <path name="voice-handset-tmus-hdk">
        <path name="handset" />
    </path>

    <path name="voice-speaker">
        <path name="speaker-mono" />
    </path>

    <path name="voice-speaker-stereo">
        <path name="speaker" />
    </path>

    <path name="voice-speaker-2">
        <path name="speaker-mono-2" />
    </path>

    <path name="voice-speaker-hdk">
        <path name="speaker-mono" />
    </path>

    <path name="voice-speaker-fluid">
        <path name="speaker-fluid" />
    </path>

    <path name="voice-speaker-vbat">
        <path name="speaker-mono-vbat" />
    </path>

    <path name="voice-speaker-stereo-vbat">
        <path name="speaker-vbat" />
    </path>

    <path name="voice-speaker-2-vbat">
        <path name="speaker-mono-2-vbat" />
    </path>

    <path name="voice-speaker-hdk-vbat">
        <path name="speaker-mono-vbat" />
    </path>

    <path name="voice-speaker-fluid-vbat">
        <path name="speaker-fluid-vbat" />
    </path>

    <path name="voice-speaker-mic">
        <path name="speaker-mic" />
    </path>

    <path name="voice-headphones">
        <path name="headphones" />
    </path>

    <path name="voice-headset">
        <path name="headphones" />
    </path>

    <path name="voice-line">
        <path name="voice-headphones" />
    </path>

    <path name="voice-headset-mic">
        <path name="headset-mic" />
    </path>

    <path name="speaker-and-headphones">
        <path name="headphones" />
        <path name="speaker" />
    </path>

    <path name="speaker-and-headphones-hifi-filter">
        <path name="headphones-hifi-filter" />
        <path name="speaker" />
    </path>

    <path name="speaker-safe-and-headphones">
        <path name="headphones" />
        <path name="speaker-safe" />
    </path>

    <path name="speaker-and-line">
        <path name="speaker-and-headphones" />
    </path>

    <path name="speaker-and-headphones-liquid">
        <path name="headphones" />
        <path name="speaker" />
    </path>

    <path name="speaker-and-line-liquid">
        <path name="speaker-and-headphones-liquid" />
    </path>

    <path name="usb-headphones">
    </path>

    <path name="usb-headset">
    </path>

    <path name="afe-proxy">
    </path>

    <path name="display-port">
    </path>

    <path name="display-port1">
    </path>

    <path name="call-proxy">
    </path>

    <path name="call-proxy-in">
    </path>

    <path name="speaker-and-usb-headphones">
        <path name="speaker" />
        <path name="usb-headphones" />
    </path>

    <path name="speaker-safe-and-usb-headphones">
        <path name="speaker-safe" />
        <path name="usb-headphones" />
    </path>

    <path name="speaker-and-display-port">
        <path name="speaker" />
        <path name="display-port" />
    </path>

    <path name="speaker-and-display-port1">
        <path name="speaker" />
        <path name="display-port1" />
    </path>

    <path name="voice-rec-mic">
        <path name="handset-mic" />
    </path>

    <path name="camcorder-mic">
        <path name="handset-mic" />
    </path>

    <path name="bt-sco">
    </path>

    <path name="bt-sco-mic">
    </path>

    <path name="bt-sco-wb">
    </path>

    <path name="bt-sco-mic-wb">
    </path>

    <path name="bt-sco-swb">
    </path>

    <path name="bt-sco-mic-swb">
    </path>

    <path name="bt-a2dp">
    </path>

    <path name="bt-a2dp-mic">
    </path>

    <path name="bt-ble">
    </path>

    <path name="bt-ble-mic">
    </path>

    <path name="usb-headset-mic">
    </path>

    <path name="capture-fm">
    </path>

    <path name="va-mic-mono">
        <ctl name="VA_AIF1_CAP Mixer DEC0" value="1" />
        <ctl name="VA DEC0 MUX" value="MSM_DMIC" />
        <ctl name="VA DMIC MUX0" value="DMIC7" />
        <ctl name="VA_DEC0 Volume" value="87" />
    </path>

    <path name="va-mic-dmic">
        <ctl name="VA_AIF1_CAP Mixer DEC0" value="1" />
        <ctl name="VA_AIF1_CAP Mixer DEC1" value="1" />
        <ctl name="VA DEC0 MUX" value="MSM_DMIC" />
        <ctl name="VA DEC1 MUX" value="MSM_DMIC" />
        <ctl name="VA DMIC MUX0" value="DMIC7" />
        <ctl name="VA DMIC MUX1" value="DMIC5" />
        <ctl name="VA_DEC0 Volume" value="78" />
        <ctl name="VA_DEC1 Volume" value="78" />
    </path>

    <path name="va-mic-tmic">
        <ctl name="VA_AIF1_CAP Mixer DEC0" value="1" />
        <ctl name="VA_AIF1_CAP Mixer DEC1" value="1" />
        <ctl name="VA_AIF1_CAP Mixer DEC2" value="1" />
        <ctl name="VA DEC0 MUX" value="MSM_DMIC" />
        <ctl name="VA DEC1 MUX" value="MSM_DMIC" />
        <ctl name="VA DEC2 MUX" value="MSM_DMIC" />
        <ctl name="VA DMIC MUX0" value="DMIC7" />
        <ctl name="VA DMIC MUX1" value="DMIC5" />
        <ctl name="VA DMIC MUX2" value="DMIC4" />
        <ctl name="VA_DEC0 Volume" value="93" />
        <ctl name="VA_DEC1 Volume" value="93" />
        <ctl name="VA_DEC2 Volume" value="93" />
    </path>

    <path name="va-mic-qmic">
        <!-- not supported -->
    </path>

    <path name="va-mic">
        <path name="va-mic-mono" />
    </path>

    <path name="va-mic-mono-lpi">
        <ctl name="LPI Enable" value="1" />
        <path name="va-mic-mono" />
    </path>

    <path name="va-mic-dmic-lpi">
        <ctl name="LPI Enable" value="1" />
        <path name="va-mic-dmic" />
        <ctl name="VA_DEC0 Volume" value="87" />
        <ctl name="VA_DEC1 Volume" value="87" />
    </path>

    <path name="va-mic-tmic-lpi">
        <ctl name="LPI Enable" value="1" />
        <path name="va-mic-tmic" />
    </path>

    <path name="va-mic-qmic-lpi">
        <ctl name="LPI Enable" value="1" />
        <path name="va-mic-qmic" />
    </path>

    <path name="va-mic-lpi">
        <path name="va-mic-mono-lpi" />
    </path>

    <path name="headset-va-mic-lpi">
        <!-- not supported -->
    </path>

    <path name="headset-va-mic">
        <!-- not supported -->
    </path>

    <path name="lpi-pcm-logging">
        <ctl name="LPI PCM Logging Enable" value="1" />
    </path>

    <!-- Dual MIC devices -->
    <path name="handset-dmic-endfire">
        <ctl name="TX_AIF1_CAP Mixer DEC2" value="1" />
        <ctl name="TX_AIF1_CAP Mixer DEC3" value="1" />
        <ctl name="TX DMIC MUX2" value="DMIC7" />
        <ctl name="TX DMIC MUX3" value="DMIC5" />
         <ctl name="TX_DEC2 Volume" value="88" />
         <ctl name="TX_DEC3 Volume" value="88" />
    </path>

    <path name="speaker-dmic-endfire">
        <ctl name="TX_AIF1_CAP Mixer DEC2" value="1" />
        <ctl name="TX_AIF1_CAP Mixer DEC3" value="1" />
        <ctl name="TX DMIC MUX2" value="DMIC5" />
        <ctl name="TX DMIC MUX3" value="DMIC7" />
         <ctl name="TX_DEC2 Volume" value="86" />
         <ctl name="TX_DEC3 Volume" value="86" />
    </path>

    <path name="call-asr-aec-speaker-dmic">
        <path name="handset-dmic-endfire" />
    </path>

    <path name="call-asr-aec-speaker-dmic-endfire">
        <path name="speaker-dmic-endfire" />
    </path>

    <path name="dmic-endfire">
        <path name="handset-dmic-endfire" />
        <ctl name="IIR0 INP0 MUX" value="DEC2" />
    </path>

    <path name="dmic-endfire-liquid">
        <path name="handset-dmic-endfire" />
        <ctl name="IIR0 INP0 MUX" value="DEC2" />
    </path>

    <path name="handset-stereo-dmic-ef">
        <path name="handset-dmic-endfire" />
    </path>

    <path name="speaker-stereo-dmic-ef">
        <path name="speaker-dmic-endfire" />
    </path>

    <path name="voice-dmic-ef-tmus">
        <path name="dmic-endfire" />
    </path>

    <path name="voice-dmic-ef">
        <path name="dmic-endfire" />
    </path>

    <path name="voice-speaker-dmic-ef">
        <path name="speaker-dmic-endfire" />
    </path>

    <path name="voice-rec-dmic-ef">
        <path name="dmic-endfire" />
    </path>

    <path name="voice-rec-dmic-ef-fluence">
        <path name="dmic-endfire" />
    </path>

    <path name="hearing-aid-mic">
        <path name="voice-speaker-mic"/>
    </path>

    <path name="handset-stereo-dmic-ef-liquid">
        <path name="handset-dmic-endfire" />
    </path>

    <path name="speaker-stereo-dmic-ef-liquid">
        <path name="speaker-dmic-endfire" />
    </path>

    <path name="voice-dmic-ef-liquid-liquid">
        <path name="dmic-endfire-liquid" />
    </path>

    <path name="voice-speaker-dmic-ef-liquid">
        <path name="dmic-endfire-liquid" />
    </path>

    <path name="voice-rec-dmic-ef-liquid">
        <path name="dmic-endfire-liquid" />
    </path>

    <path name="voice-rec-dmic-ef-fluence-liquid">
        <path name="dmic-endfire-liquid" />
    </path>

    <path name="speaker-dmic-broadside">
        <ctl name="TX_AIF1_CAP Mixer DEC2" value="1" />
        <ctl name="TX_AIF1_CAP Mixer DEC3" value="1" />
        <ctl name="TX DMIC MUX2" value="DMIC5" />
        <ctl name="TX DMIC MUX3" value="DMIC7" />
         <ctl name="TX_DEC2 Volume" value="96" />
         <ctl name="TX_DEC3 Volume" value="96" />
    </path>

    <path name="dmic-broadside">
        <path name="speaker-dmic-broadside" />
        <ctl name="IIR0 INP0 MUX" value="DEC2" />
    </path>

    <path name="voice-speaker-dmic-broadside">
        <path name="dmic-broadside" />
    </path>

    <path name="handset-dmic">
        <path name="handset-dmic-endfire" />
    </path>

    <!-- Tri MIC devices -->
    <path name="three-mic">
        <ctl name="TX_AIF1_CAP Mixer DEC1" value="1" />
        <ctl name="TX_AIF1_CAP Mixer DEC2" value="1" />
        <ctl name="TX_AIF1_CAP Mixer DEC3" value="1" />
        <ctl name="TX DMIC MUX1" value="DMIC5" />
        <ctl name="TX DMIC MUX2" value="DMIC7" />
        <ctl name="TX DMIC MUX3" value="DMIC4" />
        <ctl name="TX_DEC1 Volume" value="84" />
        <ctl name="TX_DEC2 Volume" value="84" />
        <ctl name="TX_DEC3 Volume" value="84" />
    </path>

    <path name="camcorder-tmic">
        <path name="three-mic" />
    </path>

    <path name="speaker-tmic">
        <path name="three-mic" />
    </path>

    <path name="voice-speaker-tmic">
        <path name="speaker-tmic" />
    </path>

    <!-- Quad MIC devices -->
    <path name="speaker-qmic">
        <!-- not supported -->
    </path>

    <path name="speaker-qmic-liquid">
    </path>

    <path name="voice-speaker-qmic">
        <path name="speaker-qmic" />
    </path>

    <path name="quad-mic">
        <path name="speaker-qmic" />
    </path>

    <path name="voice-speaker-qmic-liquid">
        <path name="speaker-qmic-liquid" />
    </path>

    <path name="quad-mic-liquid">
        <path name="speaker-qmic-liquid" />
    </path>

    <path name="handset-dual-amic-quad-adc-hdr">
        <ctl name="TX_AIF1_CAP Mixer DEC1" value="1"/>
        <ctl name="TX_AIF1_CAP Mixer DEC2" value="1"/>
        <ctl name="TX_AIF1_CAP Mixer DEC3" value="1"/>
        <ctl name="TX_AIF1_CAP Mixer DEC4" value="1"/>
        <ctl name="TX DEC1 MUX" value="SWR_MIC"/>
        <ctl name="TX DEC2 MUX" value="SWR_MIC"/>
        <ctl name="TX DEC3 MUX" value="SWR_MIC"/>
        <ctl name="TX DEC4 MUX" value="SWR_MIC"/>
        <ctl name="ADC3 MUX" value="INP4"/>
        <ctl name="HDR12 MUX" value="HDR12"/>
        <ctl name="HDR34 MUX" value="HDR34"/>
        <ctl name="ADC4 MUX" value="INP5"/>
        <ctl name="TX2 MODE" value="ADC_HIFI"/>
        <ctl name="TX0 MODE" value="ADC_HIFI"/>
        <ctl name="TX3 MODE" value="ADC_HIFI"/>
        <ctl name="TX1 MODE" value="ADC_HIFI"/>
        <ctl name="ADC3 ChMap" value="SWRM_TX3_CH1"/>
        <ctl name="ADC1 ChMap" value="SWRM_TX2_CH1"/>
        <ctl name="ADC4 ChMap" value="SWRM_TX3_CH2"/>
        <ctl name="ADC2 ChMap" value="SWRM_TX2_CH2"/>
        <ctl name="ADC3_MIXER Switch" value="1"/>
        <ctl name="ADC1_MIXER Switch" value="1"/>
        <ctl name="ADC4_MIXER Switch" value="1"/>
        <ctl name="ADC2_MIXER Switch" value="1"/>
        <ctl name="AMIC1_MIXER Switch" value="1"/>
        <ctl name="AMIC5_MIXER Switch" value="1"/>
        <ctl name="TX_DEC1 Volume" value="84"/>
        <ctl name="TX_DEC2 Volume" value="84"/>
        <ctl name="TX_DEC3 Volume" value="84"/>
        <ctl name="TX_DEC4 Volume" value="84"/>
        <ctl name="ADC1 Volume" value="16"/>
        <ctl name="ADC2 Volume" value="0"/>
        <ctl name="ADC3 Volume" value="0"/>
        <ctl name="ADC4 Volume" value="16"/>
    </path>

    <path name="unprocessed-hdr-mic-landscape">
        <path name="handset-dual-amic-quad-adc-hdr" />
        <ctl name="TX SMIC MUX1" value="SWR_MIC9"/>
        <ctl name="TX SMIC MUX2" value="SWR_MIC8"/>
        <ctl name="TX SMIC MUX3" value="SWR_MIC4"/>
        <ctl name="TX SMIC MUX4" value="SWR_MIC5"/>
    </path>

    <path name="unprocessed-hdr-mic-inverted-landscape">
        <path name="handset-dual-amic-quad-adc-hdr" />
        <ctl name="TX SMIC MUX1" value="SWR_MIC4"/>
        <ctl name="TX SMIC MUX2" value="SWR_MIC5"/>
        <ctl name="TX SMIC MUX3" value="SWR_MIC9"/>
        <ctl name="TX SMIC MUX4" value="SWR_MIC8"/>
    </path>

    <path name="handset-single-amic-quad-adc">
        <ctl name="TX_AIF1_CAP Mixer DEC1" value="1"/>
        <ctl name="TX_AIF1_CAP Mixer DEC2" value="1"/>
        <ctl name="TX_AIF1_CAP Mixer DEC3" value="1"/>
        <ctl name="TX_AIF1_CAP Mixer DEC4" value="1"/>
        <ctl name="TX DEC1 MUX" value="SWR_MIC"/>
        <ctl name="TX DEC2 MUX" value="SWR_MIC"/>
        <ctl name="TX DEC3 MUX" value="SWR_MIC"/>
        <ctl name="TX DEC4 MUX" value="SWR_MIC"/>
        <ctl name="TX SMIC MUX1" value="SWR_MIC9"/>
        <ctl name="TX SMIC MUX2" value="SWR_MIC9"/>
        <ctl name="TX SMIC MUX3" value="SWR_MIC9"/>
        <ctl name="TX SMIC MUX4" value="SWR_MIC9"/>
        <ctl name="ADC3 MUX" value="INP4"/>
        <ctl name="HDR12 MUX" value="NO_HDR12"/>
        <ctl name="HDR34 MUX" value="NO_HDR34"/>
        <ctl name="ADC4 MUX" value="INP5"/>
        <ctl name="TX2 MODE" value="ADC_HIFI"/>
        <ctl name="TX0 MODE" value="ADC_HIFI"/>
        <ctl name="TX3 MODE" value="ADC_HIFI"/>
        <ctl name="TX1 MODE" value="ADC_HIFI"/>
        <ctl name="ADC3 ChMap" value="SWRM_TX3_CH1"/>
        <ctl name="ADC1 ChMap" value="SWRM_TX2_CH1"/>
        <ctl name="ADC4 ChMap" value="SWRM_TX3_CH2"/>
        <ctl name="ADC2 ChMap" value="SWRM_TX2_CH2"/>
        <ctl name="ADC3_MIXER Switch" value="1"/>
        <ctl name="ADC1_MIXER Switch" value="1"/>
        <ctl name="ADC4_MIXER Switch" value="1"/>
        <ctl name="ADC2_MIXER Switch" value="1"/>
        <ctl name="AMIC1_MIXER Switch" value="1"/>
        <ctl name="AMIC5_MIXER Switch" value="1"/>
        <ctl name="TX_DEC1 Volume" value="84"/>
        <ctl name="TX_DEC2 Volume" value="84"/>
        <ctl name="TX_DEC3 Volume" value="84"/>
        <ctl name="TX_DEC4 Volume" value="84"/>
        <ctl name="ADC1 Volume" value="12"/>
        <ctl name="ADC2 Volume" value="12"/>
        <ctl name="ADC3 Volume" value="12"/>
        <ctl name="ADC4 Volume" value="12"/>
    </path>

    <path name="unprocessed-hdr-mic-portrait">
        <path name="handset-single-amic-quad-adc" />
    </path>

    <path name="unprocessed-hdr-mic-inverted-portrait">
        <path name="handset-single-amic-quad-adc" />
    </path>

    <!-- TTY devices -->

    <path name="tty-headphones">
        <ctl name="RX_MACRO RX0 MUX" value="AIF1_PB" />
        <ctl name="RX INT0_1 MIX1 INP0" value="RX0" />
        <ctl name="RX INT0 DEM MUX" value="CLSH_DSM_OUT" />
        <ctl name="RX_COMP1 Switch" value="1" />
        <ctl name="HPHL_COMP Switch" value="1" />
        <ctl name="HPHL_RDAC Switch" value="1" />
    </path>

    <path name="voice-tty-full-headphones">
        <path name="tty-headphones" />
    </path>

    <path name="voice-tty-full-headset">
        <path name="tty-headphones" />
    </path>

    <path name="voice-tty-vco-headphones">
        <path name="tty-headphones" />
    </path>

    <path name="voice-tty-vco-headset">
        <path name="tty-headphones" />
    </path>

    <path name="voice-tty-hco-handset">
        <path name="handset" />
    </path>


    <path name="voice-tty-hco-handset-hdk">
        <path name="handset" />
    </path>

    <path name="voice-tty-full-headset-mic">
        <path name="amic2" />
        <ctl name="ADC2 Volume" value="0" />
        <ctl name="TX_DEC5 Volume" value="84" />
    </path>

    <path name="voice-tty-hco-headset-mic">
        <ctl name="TX DEC6 MUX" value="SWR_MIC" />
        <ctl name="TX SMIC MUX6" value="SWR_MIC5" />
        <ctl name="TX_AIF1_CAP Mixer DEC6" value="1" />
        <ctl name="ADC2 MUX" value="INP2" />
        <ctl name="ADC2 ChMap" value="SWRM_TX2_CH2" />
        <ctl name="MBHC ChMap" value="SWRM_TX3_CH3" />
        <ctl name="TX1 MODE" value="ADC_LP" />
        <ctl name="BCS Channel" value="CH10" />
        <ctl name="HDR12 MUX" value="NO_HDR12" />
        <ctl name="ADC2_MIXER Switch" value="1" />
        <ctl name="AMIC2_MIXER Switch" value="1" />
    </path>

    <path name="voice-tty-vco-handset-mic">
        <path name="dmic3" />
    </path>

    <path name="unprocessed-handset-mic">
        <path name="handset-mic" />
    </path>

    <path name="unprocessed-mic">
        <path name="unprocessed-handset-mic" />
    </path>

    <path name="unprocessed-stereo-mic">
        <path name="voice-rec-dmic-ef" />
    </path>

    <path name="unprocessed-three-mic">
        <path name="three-mic" />
    </path>

    <path name="unprocessed-headset-mic">
        <path name="headset-mic" />
    </path>

    <!-- USB TTY start -->

    <!-- full: both end tty -->
    <path name="voice-tty-full-usb">
        <path name="usb-headphones" />
    </path>

    <path name="voice-tty-full-usb-mic">
        <path name="usb-headset-mic" />
    </path>

    <!-- vco, in: handset mic use existing, out: tty -->
    <path name="voice-tty-vco-usb">
        <path name="usb-headphones" />
    </path>

    <!-- hco, in: tty, out: speaker, use existing handset -->
    <path name="voice-tty-hco-usb-mic">
        <path name="voice-tty-full-usb-mic" />
    </path>

    <!-- USB TTY end   -->

    <!-- Added for ADSP testfwk -->
    <path name="ADSP testfwk">
    </path>

    <path name="bt-a2dp">
    </path>

    <path name="bt-a2dp-mic">
    </path>

    <path name="speaker-and-bt-a2dp">
        <path name="speaker" />
        <path name="bt-a2dp" />
    </path>

    <path name="speaker-safe-and-bt-a2dp">
        <path name="speaker-safe" />
        <path name="bt-a2dp" />
    </path>

    <path name="deep-buffer-playback bt-a2dp">
    </path>

    <path name="low-latency-playback bt-a2dp">
    </path>

    <path name="compress-offload-playback bt-a2dp">
    </path>

    <path name="compress-offload-playback2 bt-a2dp">
    </path>

    <path name="compress-offload-playback3 bt-a2dp">
    </path>

    <path name="compress-offload-playback4 bt-a2dp">
    </path>

    <path name="compress-offload-playback5 bt-a2dp">
    </path>

    <path name="compress-offload-playback6 bt-a2dp">
    </path>

    <path name="compress-offload-playback7 bt-a2dp">
    </path>

    <path name="compress-offload-playback8 bt-a2dp">
    </path>

    <path name="compress-offload-playback9 bt-a2dp">
    </path>

    <path name="audio-ull-playback bt-a2dp">
    </path>

    <path name="deep-buffer-playback speaker-and-bt-a2dp">
        <path name="deep-buffer-playback bt-a2dp" />
        <path name="deep-buffer-playback" />
    </path>

    <path name="deep-buffer-playback speaker-safe-and-bt-a2dp">
        <path name="deep-buffer-playback bt-a2dp" />
        <path name="deep-buffer-playback" />
    </path>

    <path name="compress-offload-playback speaker-and-bt-a2dp">
        <path name="compress-offload-playback bt-a2dp" />
        <path name="compress-offload-playback" />
    </path>

    <path name="compress-offload-playback speaker-safe-and-bt-a2dp">
        <path name="compress-offload-playback bt-a2dp" />
        <path name="compress-offload-playback" />
    </path>

    <path name="low-latency-playback speaker-and-bt-a2dp">
        <path name="low-latency-playback bt-a2dp" />
        <path name="low-latency-playback" />
    </path>

    <path name="low-latency-playback speaker-safe-and-bt-a2dp">
        <path name="low-latency-playback bt-a2dp" />
        <path name="low-latency-playback" />
    </path>

    <path name="compress-offload-playback2 speaker-and-bt-a2dp">
        <path name="compress-offload-playback2 bt-a2dp" />
        <path name="compress-offload-playback2" />
    </path>

    <path name="compress-offload-playback2 speaker-safe-and-bt-a2dp">
        <path name="compress-offload-playback2 bt-a2dp" />
        <path name="compress-offload-playback2" />
    </path>

    <path name="compress-offload-playback3 speaker-and-bt-a2dp">
        <path name="compress-offload-playback3 bt-a2dp" />
        <path name="compress-offload-playback3" />
    </path>

    <path name="compress-offload-playback4 speaker-and-bt-a2dp">
        <path name="compress-offload-playback4 bt-a2dp" />
        <path name="compress-offload-playback4" />
    </path>

    <path name="compress-offload-playback5 speaker-and-bt-a2dp">
        <path name="compress-offload-playback5 bt-a2dp" />
        <path name="compress-offload-playback5" />
    </path>

    <path name="compress-offload-playback6 speaker-and-bt-a2dp">
        <path name="compress-offload-playback6 bt-a2dp" />
        <path name="compress-offload-playback6" />
    </path>

    <path name="compress-offload-playback7 speaker-and-bt-a2dp">
        <path name="compress-offload-playback7 bt-a2dp" />
        <path name="compress-offload-playback7" />
    </path>

    <path name="compress-offload-playback8 speaker-and-bt-a2dp">
        <path name="compress-offload-playback8 bt-a2dp" />
        <path name="compress-offload-playback8" />
    </path>

    <path name="compress-offload-playback9 speaker-and-bt-a2dp">
        <path name="compress-offload-playback9 bt-a2dp" />
        <path name="compress-offload-playback9" />
    </path>

    <path name="audio-ull-playback speaker-and-bt-a2dp">
        <path name="audio-ull-playback bt-a2dp" />
        <path name="audio-ull-playback" />
    </path>

    <path name="audio-ull-playback speaker-safe-and-bt-a2dp">
        <path name="audio-ull-playback bt-a2dp" />
        <path name="audio-ull-playback" />
    </path>

    <path name="mmap-playback">
    </path>

    <path name="mmap-playback headphones">
    </path>

    <path name="mmap-playback headset">
        <path name="mmap-playback headphones" />
    </path>

    <path name="mmap-playback speaker-and-headphones">
        <path name="mmap-playback" />
        <path name="mmap-playback headphones" />
    </path>

    <path name="mmap-playback speaker-safe-and-headphones">
        <path name="mmap-playback" />
        <path name="mmap-playback headphones" />
    </path>

    <path name="mmap-playback bt-sco">
    </path>

    <path name="mmap-playback bt-sco-wb">
        <path name="mmap-playback bt-sco" />
    </path>

    <path name="mmap-playback bt-sco-swb">
        <path name="mmap-playback bt-sco" />
    </path>

    <path name="mmap-playback afe-proxy">
    </path>

    <path name="mmap-playback usb-headphones">
    </path>

    <path name="mmap-playback usb-headset">
    </path>

    <path name="mmap-playback display-port">
    </path>

    <path name="mmap-playback display-port1">
    </path>

    <path name="mmap-playback hdmi">
    </path>

    <path name="mmap-playback speaker-and-hdmi">
        <path name="mmap-playback hdmi" />
        <path name="mmap-playback" />
    </path>

    <path name="mmap-playback speaker-and-display-port">
        <path name="mmap-playback display-port" />
        <path name="mmap-playback" />
    </path>

    <path name="mmap-playback speaker-and-display-port1">
        <path name="mmap-playback display-port1" />
        <path name="mmap-playback" />
    </path>

    <path name="mmap-playback speaker-and-usb-headphones">
        <path name="mmap-playback usb-headphones" />
        <path name="mmap-playback" />
    </path>

    <path name="mmap-playback speaker-safe-and-usb-headphones">
        <path name="mmap-playback usb-headphones" />
        <path name="mmap-playback" />
    </path>

    <path name="mmap-record">
    </path>

    <path name="mmap-record bt-sco-mic">
    </path>

    <path name="mmap-record bt-sco-mic-wb">
        <path name="mmap-record bt-sco-mic" />
    </path>

    <path name="mmap-record bt-sco-mic-swb">
        <path name="mmap-record bt-sco-mic" />
    </path>

    <path name="mmap-record capture-fm">
    </path>

    <path name="mmap-record usb-headset-mic">
    </path>

    <path name="mmap-record headset-mic">
    </path>

    <path name="hifi-playback display-port">
    </path>

    <path name="hifi-playback display-port1">
    </path>

    <path name="hifi-playback afe-proxy">
    </path>

    <path name="hifi-playback usb-headset">
    </path>

    <path name="hifi-playback usb-headphones">
    </path>

    <path name="hifi-record">
    </path>

    <path name="hifi-record headset-mic">
    </path>

    <path name="hifi-record usb-headset-mic">
    </path>

    <path name="incall_music_uplink">
    </path>

    <path name="incall_music_uplink speaker">
        <path name="incall_music_uplink" />
    </path>

    <path name="incall_music_uplink handset">
        <path name="incall_music_uplink" />
    </path>

    <path name="incall_music_uplink handset-hac">
        <path name="incall_music_uplink" />
    </path>

    <path name="incall_music_uplink display-port">
        <path name="incall_music_uplink" />
    </path>

    <path name="incall_music_uplink display-port1">
        <path name="incall_music_uplink" />
    </path>

    <path name="incall_music_uplink bt-sco">
        <path name="incall_music_uplink" />
    </path>

    <path name="incall_music_uplink bt-sco-wb">
        <path name="incall_music_uplink" />
    </path>

    <path name="incall_music_uplink bt-sco-swb">
        <path name="incall_music_uplink" />
    </path>

    <path name="incall_music_uplink speaker-and-display-port">
        <path name="incall_music_uplink" />
    </path>

    <path name="incall_music_uplink speaker-and-display-port1">
        <path name="incall_music_uplink" />
    </path>

    <path name="incall_music_uplink afe-proxy">
        <path name="incall_music_uplink" />
    </path>

    <path name="incall_music_uplink usb-headphones">
        <path name="incall_music_uplink" />
    </path>

    <path name="incall_music_uplink usb-headset">
        <path name="incall_music_uplink" />
    </path>

    <path name="incall_music_uplink speaker-and-usb-headphones">
        <path name="incall_music_uplink" />
    </path>

    <path name="incall_music_uplink speaker-safe-and-usb-headphones">
        <path name="incall_music_uplink" />
    </path>

    <path name="incall_music_uplink headphones">
        <path name="incall_music_uplink" />
    </path>

    <path name="incall_music_uplink headset">
        <path name="incall_music_uplink" />
    </path>

    <path name="incall_music_uplink speaker-and-headphones">
        <path name="incall_music_uplink" />
    </path>

    <path name="incall_music_uplink speaker-safe-and-headphones">
        <path name="incall_music_uplink" />
    </path>

    <path name="incall_music_uplink speaker-and-bt-sco">
        <path name="incall_music_uplink" />
    </path>

    <path name="incall_music_uplink speaker-safe-and-bt-sco">
        <path name="incall_music_uplink" />
    </path>

    <path name="incall_music_uplink voice-tty-hco-handset">
        <path name="incall_music_uplink" />
    </path>

    <path name="incall_music_uplink speaker-and-bt-a2dp">
        <path name="incall_music_uplink" />
    </path>

    <path name="incall_music_uplink speaker-safe-and-bt-a2dp">
        <path name="incall_music_uplink" />
    </path>

    <path name="incall_music_uplink bt-a2dp">
        <path name="incall_music_uplink" />
    </path>

    <path name="incall_music_uplink call-proxy">
        <path name="incall_music_uplink" />
    </path>

    <path name="incall_music_uplink2">
    </path>

    <path name="incall_music_uplink2 speaker">
        <path name="incall_music_uplink2" />
    </path>

    <path name="incall_music_uplink2 handset">
        <path name="incall_music_uplink2" />
    </path>

    <path name="incall_music_uplink2 handset-hac">
        <path name="incall_music_uplink2" />
    </path>

    <path name="incall_music_uplink2 display-port">
        <path name="incall_music_uplink2" />
    </path>

    <path name="incall_music_uplink2 bt-sco">
        <path name="incall_music_uplink2" />
    </path>

    <path name="incall_music_uplink2 bt-sco-wb">
        <path name="incall_music_uplink2" />
    </path>

    <path name="incall_music_uplink2 speaker-and-display-port">
        <path name="incall_music_uplink2" />
    </path>

    <path name="incall_music_uplink2 afe-proxy">
        <path name="incall_music_uplink2" />
    </path>

    <path name="incall_music_uplink2 usb-headphones">
        <path name="incall_music_uplink2" />
    </path>

    <path name="incall_music_uplink2 usb-headset">
        <path name="incall_music_uplink2" />
    </path>

    <path name="incall_music_uplink2 speaker-and-usb-headphones">
        <path name="incall_music_uplink2" />
    </path>

    <path name="incall_music_uplink2 headphones">
        <path name="incall_music_uplink2" />
    </path>

    <path name="incall_music_uplink2 speaker-and-headphones">
        <path name="incall_music_uplink2" />
    </path>

    <path name="incall_music_uplink2 speaker-and-bt-sco">
        <path name="incall_music_uplink2" />
    </path>

    <path name="incall_music_uplink2 voice-tty-hco-handset">
        <path name="incall_music_uplink2" />
    </path>

    <path name="incall_music_uplink2 speaker-and-bt-a2dp">
        <path name="incall_music_uplink2" />
    </path>

    <path name="incall_music_uplink2 bt-a2dp">
        <path name="incall_music_uplink2" />
    </path>

    <path name="ext_ec_ref_tx">
    </path>

    <path name="mmi-master-mic">
        <path name="dmic8"/>
        <ctl name="TX_DEC2 Volume" value="99" />
    </path>

    <path name="mmi-second-mic">
        <path name="dmic6"/>
        <ctl name="TX_DEC2 Volume" value="99" />
    </path>

    <path name="mmi-headset-mic">
        <!-- not supported -->
    </path>

    <path name="mmi-master-mic2">
        <path name="dmic5" />
        <ctl name="TX_DEC2 Volume" value="105" />
    </path>

    <path name="mmi-second-mic2">
        <path name="dmic5" />
        <ctl name="TX_DEC2 Volume" value="105" />
    </path>

    <path name="mmi-all-mic">
        <ctl name="TX_AIF1_CAP Mixer DEC1" value="1" />
        <ctl name="TX_AIF1_CAP Mixer DEC2" value="1" />
        <ctl name="TX_AIF1_CAP Mixer DEC3" value="1" />
        <ctl name="TX DMIC MUX1" value="DMIC5" />
        <ctl name="TX DMIC MUX2" value="DMIC7" />
        <ctl name="TX DMIC MUX3" value="DMIC4" />
        <ctl name="TX_DEC1 Volume" value="99" />
        <ctl name="TX_DEC2 Volume" value="99" />
        <ctl name="TX_DEC3 Volume" value="100" />
    </path>

    <!-- only test speaker smartpa, disable receiver smartpa for this scene -->
    <path name="mmi-speaker">
        <ctl name="TFA Profile" value="mmitest_gain0_p" />
        <ctl name="TFA Stop" id="0" value="0" />
        <ctl name="TFA Stop" id="1" value="1" />
        <ctl name="TFA Stop" id="2" value="1" />
    </path>

    <path name="mmi-all-speaker">
        <path name="speaker" />
    </path>

    <path name="mmi-headset">
        <!-- not supported -->
    </path>

    <path name="mmi-receiver">
        <ctl name="TFA Profile" value="mmitest_gain1_p" />
        <ctl name="TFA Stop" id="0" value="1" />
        <ctl name="TFA Stop" id="1" value="0" />
        <ctl name="TFA Stop" id="2" value="1" />
    </path>

    <path name="mmi-ep-receiver">
        <ctl name="TFA Profile" value="mmitest_gain0_p" />
        <ctl name="TFA Stop" id="0" value="1" />
        <ctl name="TFA Stop" id="1" value="1" />
        <ctl name="TFA Stop" id="2" value="0" />
    </path>

    <path name="mmi-smartpa">
        <ctl name="TFA Profile" value="speaker" />
        <ctl name="TFA Stop" id="0" value="0" />
        <ctl name="TFA Stop" id="1" value="0" />
        <ctl name="TFA Stop" id="2" value="1" />
    </path>

    <path name="receiver-high-power">
        <ctl name="TFA Profile" value="mmitest_gain0_p" />
        <ctl name="TFA Stop" id="0" value="1" />
        <ctl name="TFA Stop" id="1" value="0" />
        <ctl name="TFA Stop" id="2" value="1" />
    </path>

    <path name="speaker-no-algorithm">
        <ctl name="TFA Profile" value="mmitest_gain0_p" />
        <ctl name="TFA Stop" id="0" value="0" />
        <ctl name="TFA Stop" id="1" value="1" />
        <ctl name="TFA Stop" id="2" value="1" />
    </path>

    <path name="speaker-high-power-no-algorithm">
        <ctl name="TFA Profile" value="mmitest_gain1_p" />
        <ctl name="TFA Stop" id="0" value="0" />
        <ctl name="TFA Stop" id="1" value="1" />
        <ctl name="TFA Stop" id="2" value="1" />
    </path>

    <path name="autommi-loopback-hsmic-headset">
        <!-- not supported -->
    </path>
</mixer>
